%%

% Se usa esta función para crear una variable que contiene todos los parámetros del
% sistema de péndulos

function s = definir_sistema(n_masas, m, g, L, k, d, extremos, forzante)

    if nargin == 0
        s.n_masas  = 100;
        s.m        = 0.1;           % masas [kg]
        s.g        = 10;            % aceleracion de la gravedad [m/s^2]
        s.L        = 1;             % longitud del pendulo [m]
        s.k        = 1;             % constante elastica [N/m]
        s.d        = 0.1;           % separación entre pendulos [m]
        s.extremos = [ 1 1 ];       % ambos extremos fijos (1: fijo; 0: libre) ACLARACION: la condición 'fijo' se aplica a una masa ficticia adyacente a la del borde
    else
        s.n_masas  = n_masas;
        s.m        = m;
        s.g        = g;
        s.L        = L;
        s.k        = k;
        s.d        = d;
        s.extremos = extremos;
        
        s.forzante_F0_sobre_masas                 = zeros(1, n_masas);
        s.forzante_F0_sobre_modos                 = zeros(1, n_masas);
        s.forzante_F0_sobre_masas(forzante.masas) = forzante.F0;
        s.forzante_fh   = forzante.fh;
        s.forzante_frec = forzante.frec;
    end
    
    return
end
