%%

% Dibuja el sistema en su posición de equilibrio. Puede ser un punto de partida para
% hacer animaciones más fashion.

function dibujar_sistema(s)

    fprintf('Mostrando esquema del sistema\n')

    factor     = 10;
    radio_masa = s.d / factor;

    % prepara las coordenadas para los circulos de cada masa
    angulos = linspace(0, 2*pi, 100);
    x_coord = radio_masa*real(exp(1i*angulos));
    y_coord = radio_masa*imag(exp(1i*angulos));
    
    figure
        hold all

        % dibujar techo
        delta = [ -s.extremos(1) s.extremos(2) ]*s.d;
        bordes_techo = [ 0 s.n_masas-1 ]*s.d + delta;
        
        plot(bordes_techo,  s.L*[ 1 1 ], 'k-', 'LineWidth', 3)
        
        % dibujar masas y barras de los pendulos
        for i = 1:s.n_masas
            x_pos = (i-1)*s.d;
            
            % masas
            plot(x_pos + x_coord, y_coord, 'b-')
            
            % barras
            plot(x_pos*[ 1 1 ], [ radio_masa s.L ], 'b-', 'LineWidth', 2)
        end
        
        % dibujar resortes
        x_coord2 = linspace(radio_masa, s.d-radio_masa, 100);
        y_coord2 = radio_masa*sawtooth(+pi/2+linspace(0, 6*pi, 100), 0.5);

        pos_resortes = 1:s.n_masas-1;
        for i = pos_resortes
            x_pos = (i-1)*s.d;
            plot(x_pos + x_coord2, y_coord2, 'r-', 'LineWidth', 1)
        end
        
        x_coord3 = linspace(0, s.d-radio_masa, 100);
        if s.extremos(1)
            plot(-s.d + x_coord3, y_coord2, 'r-', 'LineWidth', 1)
        end
        
        if s.extremos(2)
            plot(s.d*(s.n_masas-1) + x_coord3, y_coord2, 'r-', 'LineWidth', 1)
        end

        % dibujar paredes laterales
        if s.extremos(1)
            plot(-s.d*[ 1 1 ], [ -2*radio_masa s.L ], 'k-', 'LineWidth', 3)
        end
        
        if s.extremos(2)
            plot(s.n_masas*s.d*[ 1 1 ], [ -2*radio_masa s.L ], 'k-', 'LineWidth', 3)
        end        
        
        xlim([ -s.d (i+1)*s.d ] + delta)
        
%         set(gca,'DataAspectRatio', [ 1 1 1 ])

    return
end