%%

function graficar_modos_normales(s)

    fprintf('Mostrando las matrices D y D invertida\n')
    
    figure
        set(gcf, 'Position', [ 20 450 500 250 ])
        
        subplot(1,2,1)
            imagesc(s.matriz_D)
            title('D')
        subplot(1,2,2)
            imagesc(inv(s.matriz_D))
            title('D invertida (D transpuesta)')
    
    pause(1)

    % n_masas = length(s.matriz_D);
    % n_modos = length(s.matriz_D);

    fprintf('Mostrando modos normales y sus frecuencias asociadas\n')
    
    figure
        set(gcf, 'Position', [ 520 450 500 250 ])

        for i = 1:length(s.matriz_D)
            subplot(1,2,1)
                hold off
                plot(s.vector_W, '-s')
                hold on
                plot([ i i 0 ], [ 0 s.vector_W(i) s.vector_W(i) ], 'r--')
                xlim([ 0 s.n_masas+1 ])
                title('Frecuencias angulares W')
                
            subplot(1,2,2)
                plot(s.matriz_D(:,i), 's-')
                xlim([ 0 s.n_masas+1 ])
                ylim([ -1 1 ])
                
                title(sprintf('Modo %d: W=%.1f Hz; f=%.1f Hz', i, s.vector_W(i), s.vector_W(i)/2/pi))

            pause(0.1)
        end

    return
end