%%

function graficar_relaciones_de_dispersion(s)

    fprintf('Mostrando relaciones de dispersión\n')
    
    epsilon = 1.2;
    x = linspace(-pi/2*epsilon, pi/2*epsilon, 1000);

    % Calcula las tres relaciones de dispersión
    modos_normales = sqrt(s.g / s.L + 4*s.k/s.m*sin(x).^2);
    modos_zig_zag  = sqrt(s.g / s.L + 4*s.k/s.m*cosh(x).^2);

    % Para la más baja, verifica que los modos tengan frecuencia al cuadrado positiva
    aux = s.g / s.L - 4*s.k/s.m*sinh(x).^2;
    sel = aux >= 0;
    modos_evanescentes = sqrt(aux(sel));
    
    figure
        set (gcf, 'Position', [ 1020 450 350 250 ])
        
        hold on
        plot(x,      modos_zig_zag,      'r')       % red
        plot(x,      modos_normales,     'b')       % blue
        plot(x(sel), modos_evanescentes, 'g')       % green
        
        plot(-pi/2*[ 1 1 ], [ 0 max(modos_zig_zag) ], 'k--')
        plot(+pi/2*[ 1 1 ], [ 0 max(modos_zig_zag) ], 'k--')
        
        % ylim([ 0 sqrt(4*s.k/s.m*cosh(pi/2).^2) ])
        ylim([ 0 max(modos_zig_zag) ])
        ylabel('W^2')

    pause(1)
    
    return
end
